MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024205Community[OCCT] OCCT:Documentationpublic2013-09-26 16:512013-12-19 13:59
ReporterTimo 
Assigned Toysn 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024205: Visualization User's Guide contains obsolete statements about 2D visualization
DescriptionSome statements in the Visualization User's Guide refer still to the old way (previous to OCCT6.6.0) of 2D visualization and should be updated / removed.

1.1. Open CASCADE Technology Visualization and the Organization of this guide
... "If your display will be in 2D, you should read chapter 1 Fundamental Concepts, chapter 6 2D Presentations and chapter 7 2D Resources."
=> the mentioned chapters 6 and 7 about 2D do not exist anymore

2. 1. 1 Key difference in implementation of 2D and 3D visualization
"Current implementation of 3D visualization services is based on OpenGL.
2D visualization packages use native window system API (Win32 GDI API on Windows, Xlib API on Unix and Linux)."
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0026805)
ysn (developer)
2013-11-20 15:20

The remaining statements about 2d visualisation have been removed from the user's guide.
The updated version is contained in branch 24336.
(0026874)
bugmaster (administrator)
2013-11-25 13:22

The updated version was integrated into occt repository with branch 24336.

- Issue History
Date Modified Username Field Change
2013-09-26 16:51 Timo New Issue
2013-09-26 16:51 Timo Assigned To => atp
2013-09-26 16:52 Timo Description Updated View Revisions
2013-09-26 17:06 atp Assigned To atp => ysn
2013-09-26 17:08 Timo Description Updated View Revisions
2013-11-20 15:20 ysn Note Added: 0026805
2013-11-20 15:20 ysn Status new => resolved
2013-11-20 15:21 ysn Assigned To ysn => bugmaster
2013-11-20 16:10 bugmaster Status resolved => reviewed
2013-11-20 16:10 bugmaster Assigned To bugmaster => ysn
2013-11-20 16:10 bugmaster Status reviewed => tested
2013-11-25 13:22 bugmaster Note Added: 0026874
2013-11-25 13:22 bugmaster Status tested => verified
2013-11-25 13:22 bugmaster Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker